# Quick Web Search

Quickly browse the web through [Gnome Shell](https://en.wikipedia.org/wiki/GNOME_Shell). Simple type the `Super` key, enter your search and select "Web Search". Your search will appear in your default browser and selected search engine. 

![Screenshot showing the search in the GNOME shell](./screenshots/duckduckgo.png)
![Screenshot showing the search in the GNOME shell](./screenshots/google.png)

## Install

Copy paste the following in a terminal:
```sh
git clone https://gitlab.com/chet-buddy/quick-web-search.git ~/.local/share/gnome-shell/extensions/quick@web.search
cd ~/.local/share/gnome-shell/extensions/quick@web.search
glib-compile-schemas schemas
```
Then log out and log back in. 

## Settings

You can select the search engine to use in the extension settings.

![Screenshot showing the settings](./screenshots/settings.png)

Don't find your desired search engine? Simple add it to [search-engine.json](./search-engines.json).
